"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateHotspotsConfigs = void 0;

var _configsErrorHandler = require("./configs-error-handler");

var _generatePopupConfig = require("./generate-popup-config");

var generateHotspotsConfigs = function generateHotspotsConfigs(hotspotsProps) {
  var hotspotsConfigs = hotspotsProps.map(function (hotspotProps) {
    var _hotspotProps$variant = hotspotProps.variant,
        variant = _hotspotProps$variant === void 0 ? {} : _hotspotProps$variant,
        _hotspotProps$hotspot = hotspotProps.hotspots,
        hotspots = _hotspotProps$hotspot === void 0 ? [] : _hotspotProps$hotspot,
        _hotspotProps$indicat = hotspotProps.indicatorClass,
        indicatorClass = _hotspotProps$indicat === void 0 ? '' : _hotspotProps$indicat,
        _hotspotProps$popupPr = hotspotProps.popupProps,
        popupProps = _hotspotProps$popupPr === void 0 ? {} : _hotspotProps$popupPr,
        _hotspotProps$orienta = hotspotProps.orientation,
        orientation = _hotspotProps$orienta === void 0 ? 'x' : _hotspotProps$orienta,
        _hotspotProps$initial = hotspotProps.initialDimensions,
        initialDimensions = _hotspotProps$initial === void 0 ? [500, 500] : _hotspotProps$initial;
    (0, _configsErrorHandler.configsErrorHandler)(hotspotProps);
    var popupConfig = (0, _generatePopupConfig.generatePopupConfig)(popupProps);
    var hotspotConfig = {
      variant: variant,
      popupProps: popupConfig,
      hotspots: hotspots,
      indicatorClass: indicatorClass,
      initialDimensions: initialDimensions,
      orientation: orientation.toLowerCase()
    };
    return hotspotConfig;
  });
  return hotspotsConfigs;
};

exports.generateHotspotsConfigs = generateHotspotsConfigs;